@echo off
Setlocal
Set RestoreFolder=%~1

IF Not EXIST "%RestoreFolder%" (
echo Folder did not exist
goto End)


Set mksipFile=%RestoreFolder%\mksip.bak
Set VpTdsV5File=%RestoreFolder%\VpTdsV5.bak
Set AppserverFile=%RestoreFolder%\appserver.bak
Set HistoricalDataFile=%RestoreFolder%\HistoricalData.bak

net stop CallAttendantOffice

net stop UCServerSIM
net stop CSTABridge
net stop UCServerDBAccess
net stop UCServerPCE

net stop SIP_B2BUA
net stop SIP_CallRouter
net stop SIP_MediaRelay
net stop SIP_ServiceMgr
net stop SIP_MsgServer

net stop OWSysMgSrv
net stop TFTPServer
net stop CallAttendantRestartService
net stop OWLogFileRotator

IF EXIST "%mksipFile%" (
sqlcmd -E -S"(local)\OBJECTWORLD" -v bakFile = "%mksipFile%" -i Restore_mksip.sql )
IF EXIST "%VpTdsV5File%" (
sqlcmd -E -S"(local)\OBJECTWORLD" -v bakFile = "%VpTdsV5File%" -i Restore_VpTdsV5.sql )
IF EXIST "%AppserverFile%" (
sqlcmd -E -S"(local)\OBJECTWORLD" -v bakFile = "%AppserverFile%" -i Restore_APPSERVER.sql )
IF EXIST "%HistoricalDataFile%" (
sqlcmd -E -S"(local)\OBJECTWORLD" -v bakFile = "%HistoricalDataFile%" -i Restore_HistoricalData.sql )

net start OWLogFileRotator
net start CallAttendantRestartService
net start TFTPServer
net start OWSysMgSrv

net start SIP_MsgServer
net start SIP_ServiceMgr
net start SIP_MediaRelay
net start SIP_CallRouter
net start SIP_B2BUA

net start CallAttendantOffice

net start UCServerPCE
net start UCServerDBAccess
net start CSTABridge
net start UCServerSIM

:End
